/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package generadorexperimentosdiagnosis;

import java.io.File;
import javax.swing.filechooser.FileFilter;

/**
 *
 * @author David Rubio + Luis Miguel Villarroel
 */
//Clase que permite seleccionar un fichero filtrando los del tipo indicado
public class FiltroFicheros extends FileFilter {

    String ext;
    //Método de creación
    public FiltroFicheros(String extension) {
        ext = extension;
    }

    @Override
    public boolean accept(File f) {
        String s = f.getName();
        if (f.isDirectory()) {
            return true;
        }
        int i = s.lastIndexOf('.');
        if (i > 0 && i < s.length() - 1) {
            String extension = s.substring(i + 1).toLowerCase();
            if (ext.equals(extension)) {
                return true;
            } else {
                return false;
            }
        }
        return false;
    }

    @Override
    public String getDescription() {
        return "Files *." + ext;
    }
}