/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package generadorexperimentosdiagnosis;

import java.util.ArrayList;

/**
 *
 * @author David Rubio + Luis Miguel Villarroel
 */
//Clase que modela la entidad "MEM"
public class MEM {

    String nombre;
    ArrayList<Interpretacion> interpretaciones = new ArrayList<Interpretacion>();     //Lista de ecuaciones que forman el MEM

    //Añade una interpretación al MEM
    public void addInterpretacion(Interpretacion i) {
        interpretaciones.add(i);
    }

    //Método de clonación
    public MEM clonar() {
        MEM m = new MEM();
        m.nombre = this.nombre;
        for (int i = 0; i < this.interpretaciones.size(); i++) {
            Interpretacion inter = (Interpretacion) this.interpretaciones.get(i);
            m.interpretaciones.add(inter.clonar());
        }
        return m;
    }
}
