/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package generadorexperimentosdiagnosis;

import static java.lang.Math.sqrt;

/**
 *
 * @author Luis Miguel Villarroel
 */
public class Ztest {
    
    int  tamMuestra;
    double mediaVM;
    double sigmaVM;
    double mediaVR;
    double sigmaVR;
                    
    public Ztest(double [] ventanaMuestra, double mediaVR, double sigmaVR) {
        this.mediaVR = mediaVR;
        this.sigmaVR = sigmaVR;
        tamMuestra = ventanaMuestra.length;
        
        mediaVM = 0.0;
        for (int i = 0; i < tamMuestra; i++) {
            mediaVM = mediaVM + ventanaMuestra[i];
        }
        mediaVM = mediaVM / tamMuestra;
        
        sigmaVM = 0.0;
        for (int i = 0; i < tamMuestra; i++) {
            sigmaVM = sigmaVM + Math.pow((ventanaMuestra[i] - mediaVM), 2);
        }
        sigmaVM = Math.sqrt(sigmaVM / (tamMuestra - 1));        
    }
    
    public double getZVal() {
        double standardError = sigmaVM/sqrt(tamMuestra);
        double zValue = (mediaVM - mediaVR)/standardError;
        return zValue;
    }
}
