/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package generadorexperimentosdiagnosis;

/**
 *
 * @author David Rubio + Luis Miguel Villarroel
 */
//Clase que modela los fallos que aparecen en parámetros
//y que hacen cambiar su valor en cierto instante
public class Fallo {
    
    int numParam;   //índice del parámetro erróneo
    String tipo;    //tipo de actualización del fallo: ADD o MULT
    double failStep;   //momento de la simulación en que aparece el fallo
    double errorMagnitude;  //factor de actualización del fallo

    //Método de creación
    public Fallo(int n) {
        this.numParam = n;
    }

    //Establece el tipo de fallo
    public void setTipo(String t) {
        this.tipo = t;
    }

    //Establece el momento en que aparece el fallo
    public void setFailStep(double f) {
        this.failStep = f;
    }

    //Establece el factor de actualización del fallo
    public void setErrorMagnitude(double e) {
        this.errorMagnitude = e;
    }

    //Método de clonación
    public Fallo clonar() {
        Fallo f = new Fallo(this.numParam);
        f.tipo = this.tipo;
        f.failStep = this.failStep;
        f.errorMagnitude = this.errorMagnitude;
        return f;
    }

    public void mostrar() {
        System.out.println("Faulty parameter: " + numParam);
        System.out.println("  Type: " + tipo);
        System.out.println("  Fault time: " + failStep);
        System.out.println("  Error magnitude: " + errorMagnitude);
    }
}