/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package generadorexperimentosdiagnosis;

import java.util.ArrayList;
import java.util.Iterator;

/**
 *
 * @author David Rubio + Luis Miguel Villarroel
 */
//Clase que modela la entidad "Variable"
public class Variable {
    String nombre;
    ArrayList<Double> valores = new ArrayList<Double>();    //Lista de valores que ha tomado la variable a lo largo de un experimento

    //Método de creación
    public Variable(String nombre) {
        this.nombre = nombre;
    }

    //Añade un valor a la lista
    public void addValor(double valor) {
        this.valores.add(valor);
    }

    //Método de clonación
    public Variable clonar() {
        Variable v = new Variable(this.nombre);
        for (int i = 0; i < this.valores.size(); i++) {
            Double valor = this.valores.get(i);
            v.valores.add(valor);
        }
        return v;
    }

    public void mostrar() {
        System.out.println("variable: " + nombre);
        Iterator i = valores.iterator();
        while (i.hasNext()) {
            System.out.println("  " + i.next());
        }
    }
}
